From 653a5d9abaabdd8cee6324b565b60271ca1690b1 Mon Sep 17 00:00:00 2001
From: Mathieu Westphal <mathieu.westphal@kitware.com>
Date: Fri, 21 Sep 2018 15:20:55 +0200
Subject: [PATCH] Fix GmshPlugin for Gmsh 4

---
 Plugins/GmshReader/CMakeLists.txt | 2 +-
 Plugins/GmshReader/FindGmsh.cmake | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/Plugins/GmshReader/CMakeLists.txt b/Plugins/GmshReader/CMakeLists.txt
index 53154384c6..a0b3b09811 100644
--- a/Plugins/GmshReader/CMakeLists.txt
+++ b/Plugins/GmshReader/CMakeLists.txt
@@ -5,7 +5,7 @@ if (NOT ParaView_BINARY_DIR)
 endif()
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})
-find_package(Gmsh 3.0.7 REQUIRED)
+find_package(Gmsh 4.0.0 REQUIRED)
 
 include_directories(
   ${VTK_INCLUDE_DIRS}
diff --git a/Plugins/GmshReader/FindGmsh.cmake b/Plugins/GmshReader/FindGmsh.cmake
index 1694b677a3..63dc3aa360 100644
--- a/Plugins/GmshReader/FindGmsh.cmake
+++ b/Plugins/GmshReader/FindGmsh.cmake
@@ -29,11 +29,11 @@ if(Gmsh_INCLUDE_DIR)
   set(VersionFile GmshVersion.h)
   if(EXISTS ${Gmsh_INCLUDE_DIR}/${VersionFile})
     file(READ ${Gmsh_INCLUDE_DIR}/GmshVersion.h GMSH_VERSION_FILE)
-    string(REGEX MATCH "\#define GMSH_VERSION *\"([0-9,.]*)\"" GMSH_VERSION_STRING ${GMSH_VERSION_FILE})
+    string(REGEX MATCH "\#define GMSH_VERSION *\"([0-9,.]*).*\"" GMSH_VERSION_STRING ${GMSH_VERSION_FILE})
     set(Gmsh_VERSION ${CMAKE_MATCH_1} CACHE INTERNAL "Gmsh Version")
   else()
     message(SEND_ERROR "Could not find " ${VersionFile} " in " ${Gmsh_INCLUDE_DIR}
-                       ". Check path or reconfigure Gmsh with -DENABLE_INTERNAL_DEVELOPER_API=ON")
+                       ". Check path or reconfigure Gmsh with -DENABLE_PRIVATE_API=ON")
   endif()
   if(Gmsh_LIBRARY)
     set(Gmsh_LIBRARIES ${Gmsh_LIBRARY})
-- 
2.19.0

